Suricata stuck after 2.2.5 update



  • Suricata was broken for me few days ago before 2.2.5, cannot reinstall package after update, stuck at Loading package instructions…



  • You don't say what type of system you have.  Many users have issues with RAM disk setups for /tmp and/or /var.  These are most common on Nano-based installs because these use RAM disks.  However, some users now and then set up RAM disks on regular installs.  When you run out of space in /tmp and/or /var, strange things happen.  That might be what's going on in your case.

    Bill



  • Nope, mine is bare metal HDD install. I remember playing myself with RAM disk but AFAIR the usage was low as 5% of RAM disk.



  • Now the very same strange thing happens when I'm trying to update Suricata 2.1.8 -> 2.1.9 Loading package instructions…



  • Maybe the error and my troubles are somehow connected ?

    PHP Errors:
    [10-Nov-2015 17:50:20 Europe/Moscow] PHP Fatal error:  require(): Failed opening required '/usr/local/pkg/suricata/suricata_defs.inc' (include_path='.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/local/pkg') in /usr/local/pkg/suricata/suricata.inc on line 47
    [10-Nov-2015 17:51:00 Europe/Moscow] PHP Fatal error:  require(): Failed opening required '/usr/local/pkg/suricata/suricata_defs.inc' (include_path='.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/local/pkg') in /usr/local/pkg/suricata/suricata.inc on line 47
    [10-Nov-2015 17:51:14 Europe/Moscow] PHP Fatal error:  require(): Failed opening required '/usr/local/pkg/suricata/suricata_defs.inc' (include_path='.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/local/pkg') in /usr/local/pkg/suricata/suricata.inc on line 47
    [10-Nov-2015 18:05:36 Europe/Moscow] PHP Fatal error:  require(): Failed opening required '/usr/local/pkg/suricata/suricata_defs.inc' (include_path='.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/local/pkg') in /usr/local/pkg/suricata/suricata.inc on line 47



  • Yes, your download is missing at least one required file. That means something is happening either with your connection during download, or you are somehow attaching to a server that is missing a copy of the required file.  This type of error with packages seems to occur most often with non-US users.  I have seen it several times with Snort, Suricata and a few other packages.  Snort and Suricata are generally most affected because they are some of the few packages that have their own include (.inc) and PHP source (.php) files that have to download.

    You must find out why some of the required package files are failing to download.  Until that problem is fixed, Suricata can't work.  If you have Netgate hardware, that generally comes with support and you could open a case with them.  Otherwise, I believe you can purchase support by the hour.

    Bill


  • Banned

    "Few days ago" would co-incide with the IPv6 went kaboom.



  • Well. some time ago I've experienced the very same problems with different internet application, namely, Starcraft2. I've extracted they blocked some kind of port range including the ports used by game. The bug could be easily found with Blizzard Looking Glass appplication page.



  • I have no idea why but reinstalling xml and package worked okay for me.


Log in to reply